import {
    Pipe,
    PipeTransform
} from '@angular/core';

import * as moment from 'moment-timezone';


@Pipe({
    name: 'time'
})
export class TimePipe implements PipeTransform {

    transform(time: Date, timeZone: string): string {
        if ((new Date()).toLocaleString().match(/am|pm/i))
            return moment(time).tz(timeZone).format('h:mm A [GMT]Z');
        else
            return moment(time).tz(timeZone).format('H:mm [GMT]Z');
    }
}
