import { Injectable } from '@angular/core';

import {
    HttpClient,
    HttpParams
} from '@angular/common/http';

import { Observable } from 'rxjs/Observable';

import { map } from 'rxjs/operators';

import { Slot } from '../models/slot';


@Injectable()
export class ScheduleService {
    constructor(private http: HttpClient) { }

    getSchedule(disabled = false): Observable<Slot[]> {

        return this.http.get('https://schedule.twitch.serpent.ai/schedule/92737529')
            .pipe(
                map((res: any) => res.schedule.scheduleSlots.filter(
                    (slot: Slot) => disabled || slot.isEnabled
                ))
            );
    }
}
